pro P3_droplist_populate, Event
	;
	;	puts the list of active nights with Step>=2 onto the P3 droplist
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE = PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	d_wid = (*s_ptr).P3_droplist_night_wid
	;
	num_nights = (*s_ptr).num_nights
	;
	if(num_nights eq 0) then begin
		str_list = ['no nights on list']
	endif else begin
		night_list = (*s_ptr).night_date[0:num_nights-1]
		step_list = (*s_ptr).night_step[0:num_nights-1]
		ind = WHERE(step_list[*] ge 2, count)
		if(count lt 1) then begin
			str_list = ['no nights w/S>=2']
		endif else begin
			;
			;	convert to strings
			;
			str_list = strarr(count)
			for i=0, count-1 do begin
				str_list[i] = STRING(format='(I8.8)',night_list[ind[i]])
			endfor
		endelse
	endelse
	;
	WIDGET_CONTROL, d_wid, SET_VALUE=str_list
end