;---------------------------------------------------------------------------------------
pro P7_get_wids, Event
	;
	;	gets P7 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	;
	(*s_ptr).P7_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P7_Button_View_Edit_Groups")
	(*s_ptr).P7_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P7_Button_Start_Image_Creation")
	;
	(*s_ptr).P7_text_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P7_Text_Ave_RAW1_Number")
	;
;	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P7_Draw_Window")
;	WIDGET_CONTROL, wid, GET_VALUE = window_id
;	(*s_ptr).P7_draw_window_id = window_id
	;
	(*s_ptr).P7_droplist_night_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P7_Droplist_Select_Night")
	;
	;	turn all buttons and internal bases to not sensitive
	;
	sen = 0
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P7_button_wid)-1 do begin
		WIDGET_CONTROL, (*s_ptr).P7_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	window IDs for all LED displays and sets all to gray
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P7_LED_0")
	;WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P7_LED_wid[0] = wid
	;
	sen = 0
	;
	n_LEDs = N_ELEMENTS( (*s_ptr).P7_LED_colors )
	colors = strarr(n_LEDs)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P7_LED_wid[0], colors
	;
end