;---------------------------------------------------------------------------------------
pro P6_get_wids, Event
	;
	;	gets P6 widget IDs and sets all to not sensitive
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	s_ptr = PTR_struct.PTR_summary
	l_ptr = PTR_struct.PTR_Linearity
	;
	(*s_ptr).P6_button_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Make_New_Tables")
	(*s_ptr).P6_button_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_List_All_Tables")
	(*s_ptr).P6_button_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Import_Existing_Table")
	;
	;		method 1
	;
	(*s_ptr).P6_button_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Make_Matches")
	(*s_ptr).P6_button_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_View_Matches")
	(*s_ptr).P6_button_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Combine_Matches")
	;
	;		both methods
	;
	(*s_ptr).P6_button_wid[6] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Read_Directory")
	(*s_ptr).P6_button_wid[7] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_View_Edit_Coadded_Images")
	;
	(*s_ptr).P6_button_wid[8] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Read_Coadded_Images")
	(*s_ptr).P6_button_wid[9] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Show_Pixel_Plot")
	(*s_ptr).P6_button_wid[10] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Start_Linearity_Computation")
	;
	;		method 2
	;
	(*s_ptr).P6_button_wid[11] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Make_Matches_Method_2")
	(*s_ptr).P6_button_wid[12] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_View_Matches_Method_2")
	(*s_ptr).P6_button_wid[13] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Button_Combine_Matches_Method_2")
	;
	;	and the wid for the tab itself
	;
	(*s_ptr).P6_tab_wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Tab_Method")
	;
	(*s_ptr).P6_text_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Text_X")
	(*s_ptr).P6_text_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Text_Y")
	;
	wid = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Draw_Window")
	WIDGET_CONTROL, wid, GET_VALUE = window_id
	(*s_ptr).P6_draw_window_id = window_id
	;
	(*s_ptr).P6_droplist_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Droplist_Nights")
	;
	;	method 1
	;
	(*s_ptr).P6_droplist_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Droplist_Linearity_Groups")
	(*s_ptr).P6_droplist_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Droplist_Bias_Groups")
	;
	;	method 2
	;
	(*s_ptr).P6_droplist_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Droplist_Linearity_First_Group")
	(*s_ptr).P6_droplist_wid[4] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Droplist_Linearity_Last_Group")
	(*s_ptr).P6_droplist_wid[5] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Droplist_Bias_First_Group")
	(*s_ptr).P6_droplist_wid[6] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_Droplist_Bias_Last_Group")
	;
	;	turn first 3 buttons sensitive, rest not
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P6_button_wid)-1 do begin
		if(iw le 2) then sen = 1 else sen = 0
		WIDGET_CONTROL, (*s_ptr).P6_button_wid[iw], SENSITIVE = sen
	endfor
	;
	;	turn text windows and droplists not sensitive
	;
	for iw = 0, N_ELEMENTS((*s_ptr).P6_droplist_wid)-1 do WIDGET_CONTROL, (*s_ptr).P6_droplist_wid[iw], SENSITIVE=0
	for iw = 0, 1 do WIDGET_CONTROL, (*s_ptr).P6_text_wid[iw], SENSITIVE=0
	;
	;	clear draw window
	;
	WSET, (*s_ptr).P6_draw_window_id
	ERASE
	;
	;	window IDs for all LED displays and sets all to gray
	;
	(*s_ptr).P6_LED_wid[0] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_0")
	(*s_ptr).P6_LED_wid[1] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_1")
	(*s_ptr).P6_LED_wid[2] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_2")
	(*s_ptr).P6_LED_wid[3] = WIDGET_INFO( Event.top, FIND_BY_UNAME="P6_LED_3")
	;
	colors = strarr(25)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P6_LED_wid[0], colors
	WCT_LED_stack, (*s_ptr).P6_LED_wid[3], colors
	colors = strarr(10)
	colors[*] = "gray"
	WCT_LED_stack, (*s_ptr).P6_LED_wid[1], colors
	WCT_LED_stack, (*s_ptr).P6_LED_wid[2], colors
	;
	;	clear the counter of registered linearity tables
	;
	(*l_ptr).n_lin_tables = 0L
end